指定尺寸或公差文本的文本样式。 支持的平台:仅窗口 属性值只读:不 类型:字符串 维度值的样式。 言论此属性的初始值为标准。 注意:此属性将覆盖给定维度的 DIMTXSTY 系统变量的值。
例子工 务 局: Sub Example_TextStyle() ' This example creates an aligned dimension in model space and ' creates a new system text style. The new text style is then assigned to ' the new dimension Dim dimObj As AcadDimAligned Dim newText As AcadTextStyle Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 5.5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ' Create new text style Set newText = ThisDrawing.TextStyles.Add("MYSTYLE") newText.height = 0.5 ' Just set the height of the new style so we can differentiate ThisDrawing.Application.ZoomAll ' Read and display the current text style for this dimension MsgBox "The text style is currently set to: " & dimObj.textStyle ' Change the text style to use the new style we created dimObj.textStyle = "MYSTYLE" ThisDrawing.Regen acAllViewports ' Read and display the current text style for this dimension MsgBox "The text style is now set to: " & dimObj.textStyle End Sub Visual LISP: (vl-load-com) (defun c:Example_TextStyle() ;; This example creates an aligned dimension in model space and ;; creates a new system text style. The new text style is then assigned to ;; the new dimension (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 5.5 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) ;; Create new text style (setq newText (vla-Add (vla-get-TextStyles doc) "MYSTYLE")) (vla-put-Height newText 0.5) ;; Just set the height of the new style so we can differentiate (vla-ZoomAll acadObj) (vla-Regen doc acAllViewports) ;; Read and display the current text style for this dimension (alert (strcat "The text style is currently set to: " (vla-get-TextStyle dimObj))) ;; Change the text style to use the new style we created (vla-put-TextStyle dimObj "MYSTYLE") (vla-Regen doc acAllViewports) ;; Read and display the current text style for this dimension (alert (strcat "The text style is now set to: " (vla-get-TextStyle dimObj))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:38
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.